summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
Diffstat (limited to 'source')
-rwxr-xr-xsource/d/llvm/llvm.SlackBuild55
-rw-r--r--source/d/llvm/llvm.url46
-rwxr-xr-xsource/d/rust/rust.SlackBuild12
-rw-r--r--source/d/rust/rust.url9
-rw-r--r--source/kde/kde/build/cantor2
-rw-r--r--source/kde/kde/build/kdevelop2
-rw-r--r--source/kde/kde/build/kitinerary2
-rw-r--r--source/kde/kde/build/okular2
-rwxr-xr-xsource/l/libidn2/libidn2.SlackBuild2
-rwxr-xr-xsource/l/libtasn1/libtasn1.SlackBuild2
-rwxr-xr-xsource/l/qt5/qt5.SlackBuild2
-rwxr-xr-xsource/x/mesa/mesa.SlackBuild2
-rwxr-xr-xsource/xap/mozilla-firefox/mozilla-firefox.SlackBuild2
-rwxr-xr-xsource/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild2
-rwxr-xr-xsource/xap/seamonkey/seamonkey.SlackBuild11
15 files changed, 95 insertions, 58 deletions
diff --git a/source/d/llvm/llvm.SlackBuild b/source/d/llvm/llvm.SlackBuild
index 826a47927..e9ac03b50 100755
--- a/source/d/llvm/llvm.SlackBuild
+++ b/source/d/llvm/llvm.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for llvm
# Copyright 2008-2016 Heinz Wiesinger, Amsterdam, The Netherlands
-# Copyright 2012, 2013, 2014, 2015, 2016, 2018, 2019, 2020 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2012, 2013, 2014, 2015, 2016, 2018, 2019, 2020, 2021 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -39,6 +39,29 @@ if [ -z "$ARCH" ]; then
esac
fi
+# Building clangd will be determined automatically unless BUILD_CLANG is
+# preset to YES or NO:
+if [ -z $BUILD_CLANGD ]; then
+ if [ "$ARCH" = "i586" -o "$ARCH" = "i686" ]; then
+ BUILD_CLANGD=NO
+ else
+ BUILD_CLANGD=YES
+ fi
+fi
+if [ "$BUILD_CLANGD" = "NO" ]; then
+ CLANGD="-DCLANG_ENABLE_CLANGD=OFF"
+fi
+
+# Building lld will be determined automatically unless BUILD_LLD is
+# preset to YES or NO:
+if [ -z $BUILD_LLD ]; then
+ if [ "$ARCH" = "i586" -o "$ARCH" = "i686" ]; then
+ BUILD_LLD=NO
+ else
+ BUILD_LLD=YES
+ fi
+fi
+
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
# the name of the created package would be, and then exit. This information
# could be useful to other scripts.
@@ -74,7 +97,7 @@ PY3=$(python3 -c 'from distutils.sysconfig import get_python_lib; print(get_pyth
# <linux/types.h> are defined, even though they are. gcc/g++ seem unaffected.
# For now, not much choice other than to disable this.
# Don't use icecream:
-PATH=$(echo $PATH | sed "s|/usr/libexec/icecc/bin||g" | tr -s : | sed "s/^://g" | sed "s/:$//g")
+#PATH=$(echo $PATH | sed "s|/usr/libexec/icecc/bin||g" | tr -s : | sed "s/^://g" | sed "s/:$//g")
rm -rf $PKG
mkdir -p $TMP $PKG
@@ -89,14 +112,19 @@ cd $PKGNAM-${VERSION}/tools || cd $PKGNAM-${VERSION}.src/tools || exit 1
#mv flang-${VERSION} flang 2>/dev/null || mv flang-${VERSION}.src flang || exit 1
tar xvf $CWD/lldb-$VERSION.src.tar.xz || exit 1
mv lldb-${VERSION} lldb 2>/dev/null || mv lldb-${VERSION}.src lldb || exit 1
- tar xvf $CWD/lld-$VERSION.src.tar.xz || exit 1
- mv lld-${VERSION} lld 2>/dev/null || mv lld-${VERSION}.src lld || exit 1
+ if [ "$BUILD_CLANGD" = "YES" ]; then
+ tar xvf $CWD/lld-$VERSION.src.tar.xz || exit 1
+ mv lld-${VERSION} lld 2>/dev/null || mv lld-${VERSION}.src lld || exit 1
+ fi
cd ../
cd tools/clang/tools || exit 1
tar xvf $CWD/clang-tools-extra-$VERSION.src.tar.xz || exit 1
mv clang-tools-extra-${VERSION} extra 2>/dev/null \
|| mv clang-tools-extra-${VERSION}.src extra || exit 1
+ # HACK # Otherwise the build fails because files aren't found.
+ rm -rf $TMP/clang-tools-extra
+ cp -a extra $TMP/clang-tools-extra
cd ../../../
cd projects || exit 1
@@ -110,6 +138,9 @@ cd projects || exit 1
mv libcxxabi-${VERSION} libcxxabi 2>/dev/null || mv libcxxabi-${VERSION}.src libcxxabi || exit 1
tar xvf $CWD/polly-$VERSION.src.tar.xz || exit 1
mv polly-${VERSION} polly 2>/dev/null || mv polly-${VERSION}.src polly || exit 1
+ # We just need a header file from this...
+ tar xvf $CWD/libunwind-${VERSION}.src.tar.xz || exit 1
+ mv libunwind-${VERSION} libunwind || mv libunwind-${VERSION}.src libunwind || exit 1
cd ../
# Support GCC built for i586-slackware-linux:
@@ -118,17 +149,6 @@ zcat $CWD/clang.toolchains.i586.triple.diff.gz | patch -p1 --verbose || exit 1
# Hack to fix build with polly. Maybe we should just not use polly... ?
zcat $CWD/llvm.polly.hack.diff.gz | patch -p1 --verbose || exit 1
-# As of clang-tools-extra-7.0.0 we get the following error on i586 or i686:
-# CMakeFiles/clangDaemon.dir/Trace.cpp.o:Trace.cpp:function std::unique_ptr<clang::clangd::trace::(anonymous namespace)::JSONTracer::JSONSpan, std::default_delete<clang::clangd::trace::(anonymous namespace)::JSONTracer::JSONSpan> >::~unique_ptr(): error: undefined reference to '__atomic_load_8'
-# Attempts to try to fix this have failed here, so for now we will not build
-# clangd to avoid the failure. Any help with a proper fix is appreciated.
-# I have not reported this upstream since I suspect that it's an artifact
-# of our convoluted build method.
-case $ARCH in
- i?86) CLANGD="-DCLANG_ENABLE_CLANGD=OFF" ;;
- *) unset CLANGD ;;
-esac
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -138,6 +158,11 @@ find . \
mkdir build
cd build
+ mkdir include
+ # Copy this LLVM libunwind header or it won't be found:
+ cp -a ../projects/libunwind/include/mach-o include
+ # Nuke LLVM libunwind as it conflicts with the one already on the system:
+ rm -r ../projects/libunwind
cmake -GNinja \
-DCMAKE_C_COMPILER="clang" \
-DCMAKE_CXX_COMPILER="clang++" \
diff --git a/source/d/llvm/llvm.url b/source/d/llvm/llvm.url
index c18b45b10..f363460dc 100644
--- a/source/d/llvm/llvm.url
+++ b/source/d/llvm/llvm.url
@@ -1,23 +1,25 @@
-https://github.com/llvm/llvm-project/releases/download/llvmorg-11.1.0/llvm-11.1.0.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-11.1.0/clang-11.1.0.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-11.1.0/clang-tools-extra-11.1.0.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-11.1.0/compiler-rt-11.1.0.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-11.1.0/flang-11.1.0.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-11.1.0/lldb-11.1.0.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-11.1.0/openmp-11.1.0.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-11.1.0/polly-11.1.0.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-11.1.0/libcxx-11.1.0.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-11.1.0/libcxxabi-11.1.0.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-11.1.0/lld-11.1.0.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-12.0.0/llvm-12.0.0.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-12.0.0/clang-12.0.0.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-12.0.0/clang-tools-extra-12.0.0.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-12.0.0/compiler-rt-12.0.0.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-12.0.0/flang-12.0.0.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-12.0.0/lldb-12.0.0.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-12.0.0/openmp-12.0.0.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-12.0.0/polly-12.0.0.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-12.0.0/libcxx-12.0.0.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-12.0.0/libcxxabi-12.0.0.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-12.0.0/lld-12.0.0.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-12.0.0/libunwind-12.0.0.src.tar.xz
-#http://llvm.org/releases/11.1.0/llvm-11.1.0.src.tar.xz
-#http://llvm.org/releases/11.1.0/clang-11.1.0.src.tar.xz
-#http://llvm.org/releases/11.1.0/clang-tools-extra-11.1.0.src.tar.xz
-#http://llvm.org/releases/11.1.0/compiler-rt-11.1.0.src.tar.xz
-#http://llvm.org/releases/11.1.0/flang-11.1.0.src.tar.xz
-#http://llvm.org/releases/11.1.0/lldb-11.1.0.src.tar.xz
-#http://llvm.org/releases/11.1.0/openmp-11.1.0.src.tar.xz
-#http://llvm.org/releases/11.1.0/polly-11.1.0.src.tar.xz
-#http://llvm.org/releases/11.1.0/libcxx-11.1.0.src.tar.xz
-#http://llvm.org/releases/11.1.0/libcxxabi-11.1.0.src.tar.xz
-#http://llvm.org/releases/11.1.0/lld-11.1.0.src.tar.xz
+#http://llvm.org/releases/12.0.0/llvm-12.0.0.src.tar.xz
+#http://llvm.org/releases/12.0.0/clang-12.0.0.src.tar.xz
+#http://llvm.org/releases/12.0.0/clang-tools-extra-12.0.0.src.tar.xz
+#http://llvm.org/releases/12.0.0/compiler-rt-12.0.0.src.tar.xz
+#http://llvm.org/releases/12.0.0/flang-12.0.0.src.tar.xz
+#http://llvm.org/releases/12.0.0/lldb-12.0.0.src.tar.xz
+#http://llvm.org/releases/12.0.0/openmp-12.0.0.src.tar.xz
+#http://llvm.org/releases/12.0.0/polly-12.0.0.src.tar.xz
+#http://llvm.org/releases/12.0.0/libcxx-12.0.0.src.tar.xz
+#http://llvm.org/releases/12.0.0/libcxxabi-12.0.0.src.tar.xz
+#http://llvm.org/releases/12.0.0/lld-12.0.0.src.tar.xz
+#http://llvm.org/releases/12.0.0/libunwind-12.0.0.src.tar.xz
diff --git a/source/d/rust/rust.SlackBuild b/source/d/rust/rust.SlackBuild
index 7c045f4b9..99b86d080 100755
--- a/source/d/rust/rust.SlackBuild
+++ b/source/d/rust/rust.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=rust
SRCNAM="${PKGNAM}c"
-VERSION=${VERSION:-1.51.0}
+VERSION=${VERSION:-1.52.1}
BUILD=${BUILD:-1}
# Set this to YES to build with the system LLVM, or NO to use the bundled LLVM.
@@ -34,9 +34,9 @@ BUILD=${BUILD:-1}
SYSTEM_LLVM=${SYSTEM_LLVM:-YES}
# Bootstrap variables (might not be kept updated for latest Rust):
-RSTAGE0_VERSION=${RSTAGE0_VERSION:-1.50.0}
-RSTAGE0_DIR=${RSTAGE0_DIR:-2021-02-11}
-CSTAGE0_VERSION=${CSTAGE0_VERSION:-1.50.0}
+RSTAGE0_VERSION=${RSTAGE0_VERSION:-1.51.0}
+RSTAGE0_DIR=${RSTAGE0_DIR:-2021-03-25}
+CSTAGE0_VERSION=${CSTAGE0_VERSION:-1.51.0}
CSTAGE0_DIR=${CSTAGE0_DIR:-$RSTAGE0_DIR}
# Automatically determine the architecture we're building on:
@@ -232,8 +232,8 @@ elif [ "$BARCH" = "i686" ] ; then
fi
# Build and install:
-python x.py dist || exit 1
-DESTDIR=$PKG python x.py install || exit 1
+python3 x.py dist || exit 1
+DESTDIR=$PKG python3 x.py install || exit 1
# Eh, none of this is all that big. Might as well leave it around as a
# reference.
diff --git a/source/d/rust/rust.url b/source/d/rust/rust.url
index d4f76ed3d..b77baf645 100644
--- a/source/d/rust/rust.url
+++ b/source/d/rust/rust.url
@@ -1,5 +1,5 @@
# Source code (repacked to .tar.lz):
-VERSION=1.51.0
+VERSION=1.52.1
rm -f rustc-${VERSION}-src.tar.*
lftpget https://static.rust-lang.org/dist/rustc-${VERSION}-src.tar.gz
lftpget https://static.rust-lang.org/dist/rustc-${VERSION}-src.tar.gz.asc
@@ -20,9 +20,9 @@ fi
# update the settings below, look at src/stage0.txt in the Rust sources.
exit 0
-BOOTSTRAP_DATE=2021-02-11
-BOOTSTRAP_CARGO=1.50.0
-BOOTSTRAP_VERSION=1.50.0
+BOOTSTRAP_DATE=2021-03-25
+BOOTSTRAP_CARGO=1.51.0
+BOOTSTRAP_VERSION=1.51.0
# i686 bootstrap:
lftpget https://static.rust-lang.org/dist/${BOOTSTRAP_DATE}/cargo-${BOOTSTRAP_CARGO}-i686-unknown-linux-gnu.tar.gz
@@ -33,4 +33,3 @@ lftpget https://static.rust-lang.org/dist/${BOOTSTRAP_DATE}/rustc-${BOOTSTRAP_VE
lftpget https://static.rust-lang.org/dist/${BOOTSTRAP_DATE}/cargo-${BOOTSTRAP_CARGO}-x86_64-unknown-linux-gnu.tar.gz
lftpget https://static.rust-lang.org/dist/${BOOTSTRAP_DATE}/rust-std-${BOOTSTRAP_VERSION}-x86_64-unknown-linux-gnu.tar.gz
lftpget https://static.rust-lang.org/dist/${BOOTSTRAP_DATE}/rustc-${BOOTSTRAP_VERSION}-x86_64-unknown-linux-gnu.tar.gz
-
diff --git a/source/kde/kde/build/cantor b/source/kde/kde/build/cantor
index 0cfbf0888..d00491fd7 100644
--- a/source/kde/kde/build/cantor
+++ b/source/kde/kde/build/cantor
@@ -1 +1 @@
-2
+1
diff --git a/source/kde/kde/build/kdevelop b/source/kde/kde/build/kdevelop
index 00750edc0..b8626c4cf 100644
--- a/source/kde/kde/build/kdevelop
+++ b/source/kde/kde/build/kdevelop
@@ -1 +1 @@
-3
+4
diff --git a/source/kde/kde/build/kitinerary b/source/kde/kde/build/kitinerary
index 0cfbf0888..d00491fd7 100644
--- a/source/kde/kde/build/kitinerary
+++ b/source/kde/kde/build/kitinerary
@@ -1 +1 @@
-2
+1
diff --git a/source/kde/kde/build/okular b/source/kde/kde/build/okular
index 0cfbf0888..d00491fd7 100644
--- a/source/kde/kde/build/okular
+++ b/source/kde/kde/build/okular
@@ -1 +1 @@
-2
+1
diff --git a/source/l/libidn2/libidn2.SlackBuild b/source/l/libidn2/libidn2.SlackBuild
index 08bdc6a0a..db83c3b4b 100755
--- a/source/l/libidn2/libidn2.SlackBuild
+++ b/source/l/libidn2/libidn2.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libidn2
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.lz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/l/libtasn1/libtasn1.SlackBuild b/source/l/libtasn1/libtasn1.SlackBuild
index 0fb4ecd0c..8b9af2b59 100755
--- a/source/l/libtasn1/libtasn1.SlackBuild
+++ b/source/l/libtasn1/libtasn1.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libtasn1
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
diff --git a/source/l/qt5/qt5.SlackBuild b/source/l/qt5/qt5.SlackBuild
index ecc2b39f0..de7557a2e 100755
--- a/source/l/qt5/qt5.SlackBuild
+++ b/source/l/qt5/qt5.SlackBuild
@@ -31,7 +31,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=qt5
VERSION=$(ls qt-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)
-BUILD=${BUILD:-8}
+BUILD=${BUILD:-9}
PKGSRC=$(echo $VERSION | cut -d - -f 1)
PKGVER=$(echo $VERSION | tr - _)
diff --git a/source/x/mesa/mesa.SlackBuild b/source/x/mesa/mesa.SlackBuild
index b64311c5c..f5c37a40d 100755
--- a/source/x/mesa/mesa.SlackBuild
+++ b/source/x/mesa/mesa.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mesa
VERSION=${VERSION:-$(echo $PKGNAM-[0-9]*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
DEMOVERS=${DEMOVERS:-8.4.0}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
BUILD_DEMOS=${BUILD_DEMOS:-YES}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
diff --git a/source/xap/mozilla-firefox/mozilla-firefox.SlackBuild b/source/xap/mozilla-firefox/mozilla-firefox.SlackBuild
index cc365e999..4afa52bd4 100755
--- a/source/xap/mozilla-firefox/mozilla-firefox.SlackBuild
+++ b/source/xap/mozilla-firefox/mozilla-firefox.SlackBuild
@@ -89,7 +89,7 @@ export CC=${CC:-clang}
export CXX=${CXX:-clang++}
# Set linker to use:
-if [ "$CC" = "clang" ]; then
+if [ "$CC" = "clang" -a "$(which lld 2> /dev/null)" = "/usr/bin/lld" ]; then
# Upstream default:
LINKER=lld
else
diff --git a/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild b/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
index 58667bf8c..4ee9abab9 100755
--- a/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
+++ b/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
@@ -119,7 +119,7 @@ export CC=${CC:-clang}
export CXX=${CXX:-clang++}
# Set linker to use:
-if [ "$CC" = "clang" ]; then
+if [ "$CC" = "clang" -a "$(which lld 2> /dev/null)" = "/usr/bin/lld" ]; then
# Upstream default:
LINKER=lld
else
diff --git a/source/xap/seamonkey/seamonkey.SlackBuild b/source/xap/seamonkey/seamonkey.SlackBuild
index 546dc904b..e545a4abb 100755
--- a/source/xap/seamonkey/seamonkey.SlackBuild
+++ b/source/xap/seamonkey/seamonkey.SlackBuild
@@ -93,6 +93,16 @@ fi
# Set linker to use:
LINKER=bfd
+# Rust SIMD often fails to compile, may limit the processors that Seamonkey
+# can run on, and doesn't seem to provide much (if any) of a performance
+# improvement, so it's disabled here by default:
+DISABLE_RUST_SIMD=${DISABLE_RUST_SIMD:-YES}
+if [ "$DISABLE_RUST_SIMD" = "YES" ]; then
+ RUST_SIMD="--disable-rust-simd"
+else
+ RUST_SIMD="--enable-rust-simd"
+fi
+
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
TMP=${TMP:-/tmp}
@@ -158,6 +168,7 @@ OPTIONS="\
--disable-updater \
--enable-chrome-format=omni \
--disable-necko-wifi \
+ $RUST_SIMD \
--enable-extensions=default \
--enable-js-shell \
$ELFHACK \